<!--
actions.handlebars

This file provides a template for POST-binding actions.
In order to make it more flexible, there are serveral parameters you can set.

entityEndpoint: either service or identity provider
type: declares the type of actions (SAMLRequest/SAMLResponse)
value: value for action (value should be base64 encoded before subsitution)

-->
<form id="saml-form" method="post" action="{{entityEndpoint}}" autocomplete="off">
    <input type="hidden" name="{{type}}" id="{{type}}" value="{{context}}" />
    {{#if relayState}}
        <input type="hidden" name="RelayState" id="relayState" value="{{relayState}}" />
    {{/if}}
</form>
<script src="http://code.jquery.com/jquery-1.6.2.min.js"></script>
<script type="text/javascript">
    (function(){
        {{#if ajaxSubmit}}
            var inputs = document.forms[0].getElementsByTagName("input");
            var data = { ajaxForm: true };
            for(var i=0,j=inputs.length;i<j;++i){
               data[inputs[i].id] = inputs[i].value;
            }
            $.ajax({
				type: 'POST',
                data: JSON.stringify(data),
                contentType: 'application/json',
                url: document.getElementById('saml-form').action,
                success: function(data) {
                    console.log('success');
                    console.log(JSON.stringify(data));
                }
            });
        {{else}}
            document.forms[0].submit();
        {{/if}}
    })();
</script>
